# eslint-plugin-security

To prevent from xss and to make secure build

## Installation

You'll first need to install [ESLint](http://eslint.org):

```
$ npm i eslint --save-dev
```

Next, install `eslint-plugin-zsecurity`:

```
$ npm install eslint-plugin-zsecurity --save-dev
```

**Note:** If you installed ESLint globally (using the `-g` flag) then you must also install `eslint-plugin-zsecurity` globally.

## Usage

Add `@zohodesk/zsecurity` to the plugins section of your `.eslintrc` configuration file.

```json
{
  "plugins": ["@zohodesk/zsecurity"]
}
```

Then configure the rules you want to use under the rules section.

```json
{
  "rules": {
    "@zohodesk/zsecurity/rule-name": 2
  }
}
```

## List of supported rules

- @zohodesk/zsecurity/no-unsecure-html,
- @zohodesk/zsecurity/no-protocol-check
